| Class SparseString A string storing only a fraction of the values of the original string.. SparseString<TValueString, TSpec> Include Headers seqan/String.h Parameters
TValueString | The string containing the values.
TSpec | The specialisation tag. Default: void.
Functions
assignValue | Assigns value to item.
clear | Resets an object.
empty | Test a container for being empty.
getFibre | Returns a specific fibre of a container.
getValue | Access to the value.
length | The number of items/characters.
open | This functions saves a sparse string to disk.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
save | This functions saves a sparse string to disk.
value | Reference to the value.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56